Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ccl.swing
Class ListCancelMultiSelector

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--ccl.swing.ExitJDialog
                                          |
                                          +--ccl.swing.ListCancelMultiSelector

All Implemented Interfaces:
  javax.accessibility.Accessible, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants, java.awt.event.WindowListener

Deprecated. Use ListCancelSelector with multi select flag.

public class ListCancelMultiSelector
extends ExitJDialog

Select multiple items from a list or cancel.

See Also:
  Serialized Form

Field Summary
`protected javax.swing.JLabel[]` | `_alblHeadline` Deprecated.
`protected boolean` | `_bOK` Deprecated.
`protected javax.swing.JList` | `_lst` Deprecated.
`protected java.util.Vector` | `_vIndexes` Deprecated.
`protected java.util.Vector` | `_vOrigIndexes` Deprecated.
`protected java.util.Vector` | `_vOrigSelected` Deprecated.
`protected java.util.Vector` | `_vSelected` Deprecated.
`protected java.util.Vector` | `_vValues` Deprecated.

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ListCancelMultiSelector(java.awt.Frame frmParent_, java.lang.String sMessage_, java.util.Vector vsList_)` Deprecated.
`ListCancelMultiSelector(java.awt.Frame frmParent_, java.lang.String sMessage_, java.util.Vector vsList_, java.util.Vector vsSelected_)` Deprecated.

Method Summary
`void` | `exit()` Deprecated.
`java.util.Vector` | `getIndexes()` Deprecated.
`java.util.Vector` | `getValues()` Deprecated.
`static java.util.Vector` | `input(java.awt.Frame frmParent_, java.lang.String sMessage_, java.util.Vector vsList_)` Deprecated.
`static java.util.Vector` | `inputIndexes(java.awt.Frame frmParent_, java.lang.String sMessage_, java.util.Vector vsList_)` Deprecated.
`boolean` | `isOK()` Deprecated.
`void` | `setVisible(boolean bVisible_)` Deprecated.

Methods inherited from class ccl.swing.ExitJDialog
`windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _lst

    protected javax.swing.JList _lst

  Deprecated.

### _vValues

    protected java.util.Vector _vValues

  Deprecated.

### _vSelected

    protected java.util.Vector _vSelected

  Deprecated.

### _vOrigSelected

    protected java.util.Vector _vOrigSelected

  Deprecated.

### _vIndexes

    protected java.util.Vector _vIndexes

  Deprecated.

### _vOrigIndexes

    protected java.util.Vector _vOrigIndexes

  Deprecated.

### _alblHeadline

    protected javax.swing.JLabel[] _alblHeadline

  Deprecated.

### _bOK

    protected boolean _bOK

  Deprecated.

Constructor Detail

### ListCancelMultiSelector

    public ListCancelMultiSelector(java.awt.Frame frmParent_,
                                   java.lang.String sMessage_,
                                   java.util.Vector vsList_)

  Deprecated.

### ListCancelMultiSelector

    public ListCancelMultiSelector(java.awt.Frame frmParent_,
                                   java.lang.String sMessage_,
                                   java.util.Vector vsList_,
                                   java.util.Vector vsSelected_)

  Deprecated.

Method Detail

### isOK

    public boolean isOK()

  Deprecated.

### getValues

    public java.util.Vector getValues()

  Deprecated.

### getIndexes

    public java.util.Vector getIndexes()

  Deprecated.

### exit

    public void exit()

  Deprecated.
  Overrides:
    `exit` in class `ExitJDialog`

### setVisible

    public void setVisible(boolean bVisible_)

  Deprecated.
  Overrides:
    `setVisible` in class `java.awt.Component`

### input

    public static java.util.Vector input(java.awt.Frame frmParent_,
                                         java.lang.String sMessage_,
                                         java.util.Vector vsList_)

  Deprecated.
  Returns:
    null on cancel.

### inputIndexes

    public static java.util.Vector inputIndexes(java.awt.Frame frmParent_,
                                                java.lang.String sMessage_,
                                                java.util.Vector vsList_)

  Deprecated.
  Returns:
    null on cancel.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD